# $Revision: 1.58 $, $Date: 2011/05/25 19:08:20 $
Summary:	Network Audio System
Summary(pl.UTF-8):	Sieciowy system dźwięku (NAS)
Summary(ru.UTF-8):	NAS - клиент-серверная сетевая поддержка аудио
Summary(uk.UTF-8):	NAS - клієнт-серверна мережева підтримка аудіо
Name:		nas
Version:	1.9.3
Release:	1
License:	Free
Group:		Applications/Sound
Source0:	http://dl.sourceforge.net/nas/%{name}-%{version}.src.tar.gz
# Source0-md5:	ecd01a3b4e17a9d464efa83a03618025
URL:		http://radscan.com/nas.html
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	xorg-cf-files >= 1.0.1-0.3
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-util-gccmakedep
BuildRequires:	xorg-util-imake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nas

%description
This package contains a network-transparent, client/server audio
system, with a library. Key features of the Network Audio System
include:
 - Device-independent audio over the network
 - Lots of audio file and data formats
 - Can store sounds in server for rapid replay
 - Extensive mixing, separating, and manipulation of audio data
 - Simultaneous use of audio devices by multiple applications
 - Use by a growing number of ISVs
 - Small size
 - Free! No obnoxious licensing terms.

%description -l pl.UTF-8
Pakiet zawiera przezroczysty sieciowo dźwiękowy system klient/serwer
wraz z biblioteką. Najważniejsze cechy Network Audio System to:
 - Przesyłanie dźwięku przez sieć, niezależne od karty dźwiękowej,
 - Obsługa dużej ilości formatów dźwięku,
 - Przechowywanie dźwięku na serwerze w razie potrzeby wielokrotnego
   odtwarzania,
 - Zaawansowane miksowanie, oddzielanie i manipulacja dźwięku,
 - Możliwość jednoczesnego używania karty dźwiękowej przez wiele
   programów,
 - Obsługa przez coraz większą liczbę programów,
 - Mały rozmiar,
 - Wolne oprogramowanie! Brak wstrętnych ograniczeń licencyjnych.

%description -l ru.UTF-8
Этот пакет содержит прозрачную для сети систему клиент-серверной
поддержки звука, с библиотекой. Ключевые возможности NAS включают:
    - Независимое от устройств аудио по сети
    - Большое количество поддерживаемых форматов
    - Возможность сохранения звуков на сервере для быстрого повторного
      проигрывания
    - Широкие возможности микширования, разделения и манипуляции
      аудиоданными
    - Одновременное использование аудиоустройств многими приложениями
    - Применяется растущим числом ISV
    - Маленький размер
    - Свободна от лицензионных условий

%description -l uk.UTF-8
Цей пакет містить прозору для мережі систему клієнт-серверної
підтримки звуку, з бібліотекою. Ключові можливості NAS включають:
    - Незалежне від пристроїв аудіо через мережу
    - Велика кількість підтримуваних форматів
    - Можливість зберігання звуків на сервері для швидкого повторного
      програвання
    - Широкі можливості мікшування, розділення та маніпуляції аудіоданими
    - Одночасне використання аудіопристроїв багатьма прикладними
      програмами
    - Застосовується всезростаючим числом ISV
    - Маленький розмір
    - Вільна від ліцензійних умов

%package devel
Summary:	Development headers for writing programs using NAS
Summary(pl.UTF-8):	Pliki naglówkowe dla NAS
Summary(ru.UTF-8):	Библиотеки и .h-файлы для программ с поддержкой NAS
Summary(uk.UTF-8):	Бібліотеки та .h-файли для програм з підтримкою NAS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package allows you to develop your own network audio programs.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla NAS.

%description devel -l ru.UTF-8
Этот пакет позволяет вам разрабатывать собственные программы с
поддержкой звука по сети.

%description devel -l uk.UTF-8
Цей пакет дозволяє вам розробляти власні програми з підтримкою звуку
через мережу.

%package static
Summary:	NAS static library
Summary(pl.UTF-8):	Biblioteka statyczna NAS
Summary(ru.UTF-8):	Статические библиотеки для программ с поддержкой NAS
Summary(uk.UTF-8):	Статичні бібліотеки для програм з підтримкою NAS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
NAS static library.

%description static -l pl.UTF-8
Biblioteka statyczna NAS.

%description static -l ru.UTF-8
Статические библиотеки для программ с поддержкой звука по сети.

%description static -l uk.UTF-8
Статичні бібліотеки для програм з підтримкою звуку через мережу.

%prep
%setup -q

%build
xmkmf
%{__make} World \
	WORLDOPTS="-k CDEBUGFLAGS='%{rpmcflags} -D__USE_BSD_SIGNAL -w'" \
	CXXDEBUGFLAGS="%{rpmcflsgs} -w" \
	LOCAL_LDFLAGS="%{rpmldflags}" \
	CC="%{__cc}" \
	AUDIOLIBS="-L`pwd`/lib/audio -laudio" \
	REQUIREDLIBS="-lXt -X11 -lm" \
	EXTRAXAWCLIENTLIBS=

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install.man \
	MANPATH=%{_mandir} \
	USRLIBDIR=%{_libdir} \
	BINDIR=%{_bindir} \
	INCROOT=%{_includedir} \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_sysconfdir}/nasd.conf.eg \
	$RPM_BUILD_ROOT%{_sysconfdir}/nasd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README FAQ TODO HISTORY
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/nasd.conf
%attr(755,root,root) %{_bindir}/au*
%attr(755,root,root) %{_bindir}/checkmail
%attr(755,root,root) %{_bindir}/issndfile
%attr(755,root,root) %{_bindir}/nasd
%attr(755,root,root) %{_bindir}/playbucket
%attr(755,root,root) %{_bindir}/soundtoh
%attr(755,root,root) %{_libdir}/libaudio.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libaudio.so.2
%{_libdir}/X11/AuErrorDB
%{_mandir}/man1/au*.1x*
%{_mandir}/man1/checkmail.1x*
%{_mandir}/man1/issndfile.1x*
%{_mandir}/man1/nas.1x*
%{_mandir}/man1/nasd.1x*
%{_mandir}/man1/playbucket.1x*
%{_mandir}/man1/soundtoh.1x*
%{_mandir}/man5/nasd.conf.5x*

%files devel
%defattr(644,root,root,755)
%doc doc/{*.txt,*.ps}
%attr(755,root,root) %{_libdir}/libaudio.so
%{_includedir}/audio
%{_mandir}/man3/Au*.3x*
%{_mandir}/man3/Sound*.3x*

%files static
%defattr(644,root,root,755)
%{_libdir}/libaudio.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nas.spec,v $
Revision 1.58  2011/05/25 19:08:20  qboosh
- updated to 1.9.3

Revision 1.57  2010/05/14 23:50:40  sparky
- fixed build without nas-devel

Revision 1.56  2010/04/11 16:04:26  qboosh
- updated to 1.9.2
- use rpmldflags, avoid unnecessary -lXp

Revision 1.55  2008/11/09 12:30:17  arvenil
- up to 1.9.1
- adapter

Revision 1.54  2008/11/07 20:50:26  arekm
- release 2

Revision 1.53  2007/04/09 20:19:04  qboosh
- updated to 1.9 (fixes CVE-2007-154[34567])

Revision 1.52  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.51  2007/02/12 00:49:10  baggins
- converted to UTF-8

Revision 1.50  2006/06/22 09:15:44  megabajt
- updated to 1.8
- removed gcc4 patch (already in sources)
- modular xorg deps

Revision 1.49  2006/03/09 14:35:10  glen
- quote %{__cc}

Revision 1.48  2005/12/24 12:00:54  qrczak
- nas-gcc4.patch: fixed error: invalid storage class for function
  'freeFlow'

Revision 1.47  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.46  2004/11/15 07:55:18  paszczus
- updated to 1.7

Revision 1.45  2004/10/15 15:40:07  wolf
- retranslated kloczkish pl translation

Revision 1.44  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.43  2004/09/02 11:27:26  snurf
- typos / formatting / etc.

Revision 1.42  2004/01/17 22:42:03  qboosh
- release 7 (amd64 fix)

Revision 1.41  2003/12/27 22:56:55  undefine
- add -L/usr/X11R6/%{_lib} to allow build on amd64

Revision 1.40  2003/12/17 20:29:46  qboosh
- added missing -lm (libaudio was broken on ppc); release 6

Revision 1.39  2003/11/12 10:46:12  qboosh
- BR: XFree86, bison, flex

Revision 1.38  2003/05/25 11:00:55  malekith
- massive attack, adding Source-md5

Revision 1.37  2003/05/25 05:50:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.36  2003/02/19 13:40:47  adgor
- Reverted two last changes

Revision 1.35  2003/02/16 13:48:06  adgor
- Egh.. LIBDIR redefinition at %%install time

Revision 1.34  2003/02/16 13:40:27  adgor
- /usr/X11R6/lib/X11 -> %%{_libdir}/X11

Revision 1.33  2003/02/16 01:39:16  qboosh
- up to 1.6, fixed build after "removed two lines"

Revision 1.32  2003/02/01 02:12:53  adgor
- Release 5

Revision 1.31  2003/01/23 18:34:49  wiget
- /usr prefix game

Revision 1.30  2003/01/18 22:54:54  juandon
- removed two lines with define

Revision 1.29  2002/08/30 07:38:25  kloczek
- release 4.

Revision 1.28  2002/08/29 17:45:22  blues
- fix in docs - STBR

Revision 1.27  2002/08/21 14:05:08  gotar
- added %{_sysconfdir} (/etc/nas) directory to the package contents,
- %verify flags for config file,
- release 3.

Revision 1.26  2002/07/27 17:05:59  blues
- typo

Revision 1.25  2002/05/21 08:08:08  kloczek
- merge translations frm KSI,
- use new %doc packing infrastructure.

Revision 1.24  2002/05/01 20:46:37  filon
- added docs to main and devel packages
- release 2

Revision 1.23  2002/03/27 11:28:59  roman
s/free/Free in License

Revision 1.22  2002/02/23 03:54:23  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:14:00  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2002/01/06 13:42:19  kloczek
- updated to 1.5.

Revision 1.18  2001/11/23 12:07:47  qboosh
- s/Copyright/License/, adapterized

Revision 1.17  2001/05/02 16:29:09  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.16  2001/03/12 16:56:43  baggins
- release 8
- this library really sucks and must be linked with libXt

Revision 1.15  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/06/07 04:11:30  kloczek
- spec adapterized.

Revision 1.13  2000/04/01 11:14:58  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.11  2000/02/02 18:24:24  kloczek
- added missing $RPM_BUILD_ROOT in stripping libraries.

Revision 1.10  2000/02/02 17:58:33  kloczek
- release 7,
- more rpma macros,
- added stripping shared libraries,
- remove SONAME symlinks from main package.

Revision 1.9  1999/08/28 19:01:58  kloczek
- release 6,
- more rpm macros.

Revision 1.8  1999/07/12 23:06:11  kloczek
- added using CVS keywords in %changelog (for automating them).
